Page MenuHomeFreeBSD

textproc/fcitx5-gtk*: Add GTK4 support
ClosedPublic

Authored by lwhsu on Jan 16 2023, 7:53 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Mar 23, 6:09 AM
Unknown Object (File)
Sat, Mar 18, 1:13 PM
Unknown Object (File)
Tue, Feb 28, 6:45 PM
Unknown Object (File)
Jan 29 2023, 2:39 AM
Unknown Object (File)
Jan 20 2023, 8:17 PM
Unknown Object (File)
Jan 20 2023, 5:58 PM
Subscribers

Details

Summary
  • Split into gtk2, gtk3, gtk4 FLAVORS
  • Extract common files to textproc/fcitx5-gtk-common

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lwhsu requested review of this revision.Jan 16 2023, 7:53 AM

Is it worth keeping GTK2 around? It's EOL and we want to remove it at some point... (some point being years ago)

Is it worth keeping GTK2 around? It's EOL and we want to remove it at some point... (some point being years ago)

This patch is aiming for adding new feature and I don't want to break current working things. Let's remove it along with other gtk2 stuff.

This revision was not accepted when it landed; it landed in state Needs Review.Sat, Mar 18, 1:13 PM
This revision was automatically updated to reflect the committed changes.